
void manual_control(void)
	{
		////////////GET COMMAND/////////////
		#ifdef USB
		cByte=GET_DATA_USB;
		#endif
		#ifdef WIRELESS
		cByte=GET_DATA_U0;
		#endif

		if(cByte!=-1)//has new data
			{
			//DANCE MOVES
			if (cByte == '1')//fold arms
				{
				arm_fold();
				}
			if (cByte == '2')//reach for the sky
				{
				arm_reach_sky();
				}
			if (cByte == '3')//do a zig-zag worm motion with arms
				{
				arm_worm_one();
				arm_worm_two();
				}
			if (cByte == '4')//create diamond shape with arms
				{
				arm_diamond();
				}
			if (cByte == '5')//claw attack arrrggggghhh!
				{
				for(int j=0;j<10;j++)
					{
					arm_claw_attack1();
					delay_ms(60);
					arm_claw_attack2();
					delay_ms(60);
					}
				}
			if (cByte == '6')//worship humans motion
				{
				arm_worship_down();
				arm_worship_up();
				}
			if (cByte == '7')//wai
				{
				arm_wai_prep();
				arm_wai();
				}
			if (cByte == '8')//grab something from ground -side
				{
				arm_grab_high();
				arm_grab_low();
				delay_ms(200);
				act_setSpeed(&arm_right_claw,0);
				delay_ms(500);
				arm_fold();
				}
			if (cByte == '9')//grab something from ground -central
				{
				arm_fold();
				arm_grab_center();
				//arm_fold();
				}

			if (cByte == '0')//put ball back -central
				{
				arm_put_down_object();
				arm_fold();
				}

			//BASIC MOTIONS
			if (cByte == 'w')//go forward
				wheels_forward();
			if (cByte == 'x')//go reverse
				wheels_reverse();
			if (cByte == 'a')//go left
				wheels_left();
			if (cByte == 'd')//go right
				wheels_right();
			if (cByte == 's')//stand still
				wheels_stop();

			
			//HEAD CONTROL
			if (cByte == ',')//rotate head left
				act_setSpeed(&camera_hor,act_getSpeed(&camera_hor)+3);
			if (cByte == '.')//rotate head right
				act_setSpeed(&camera_hor,act_getSpeed(&camera_hor)-3);
			if (cByte == 'o')//rotate head up
				act_setSpeed(&camera_ver,act_getSpeed(&camera_ver)-3);
			if (cByte == 'l')//rotate head down
				act_setSpeed(&camera_ver,act_getSpeed(&camera_ver)+3);
			if (cByte == '/')//straigten head
				head_straight();
		

			//CLAW CONTROL
			if (cByte == 'v')
				if((int16_t)(act_getSpeed(&arm_left_claw)+3)<=DRIVE_SPEED_MAX)
					act_setSpeed(&arm_left_claw,act_getSpeed(&arm_left_claw)+3);
			if (cByte == 'b')
				if((int16_t)(act_getSpeed(&arm_left_claw)-3)>=DRIVE_SPEED_MIN)
					act_setSpeed(&arm_left_claw,act_getSpeed(&arm_left_claw)-3);
			if (cByte == 'n')
				if((int16_t)(act_getSpeed(&arm_right_claw)+3)<=DRIVE_SPEED_MAX)
					act_setSpeed(&arm_right_claw,act_getSpeed(&arm_right_claw)+3);
			if (cByte == 'm')
				if((int16_t)(act_getSpeed(&arm_right_claw)-3)>=DRIVE_SPEED_MIN)
					act_setSpeed(&arm_right_claw,act_getSpeed(&arm_right_claw)-3);


			//SHUTDOWN
			if (cByte == 'U' && !shutdown)
				{
				turn_actuators_OFF();
				shutdown=1;
				rprintf("\n system shutdown");
				}
			else if (cByte == 'U' && shutdown)
				{
				rprintf("\n robot activated");
				shutdown=0;
				turn_actuators_ON();
				}



	///stuff below here doesn't do anything yet
/*
			//SPEED CONTROL
			if (cByte == '+' && speed_u > 20)//go faster
				speed_u=speed_u-10;
			if (cByte == '-')//go slower
				speed_u=speed_u+10;

			//MISC CONTROL
			//weapon fire
			if (cByte == 'f')
				{
				shot_counter++;
				//fire_gun();
				rprintf("\n shot: %d",shot_counter);
				}
*/
			}
	}
